Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Merchant
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Merchant

Retrieve customer

GET
/v1/customers/{customer_id}
Returns a single customer by numeric customer_id.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK. industry_category, currency, and language ARE echoed back in this response when set; registration_number is not a supported field.
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/customers/1' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": {
        "id": 41,
        "name": "Kautzer LLC",
        "email": "info@kauzer.co.uk",
        "address": {
            "street_address": "Quincy Ports",
            "city": "Willberg",
            "country": "UK",
            "state": "Willberg",
            "zip": "8023",
            "phone": "40123456"
        },
        "onboarding_token": "4h|aVd2TXBUaVBrUWJoNlVVU0NFZ2hkSUlrWkdPUUI1T0hpWE42MEJtNw==",
        "onboarding_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
        "created_at": "2026-01-12 08:37:02",
        "updated_at": "2026-01-12 08:37:02",
        "industry_category": "5732",
        "currency": "EUR",
        "language": "en"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Create customer
Next
Update customer
Built with